"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const yup = __importStar(require("yup"));
const CreditPeriodPaymentParamsSchema = yup.object().shape({
    PeriodAmount: yup.number().integer().strict().required(),
    PeriodType: yup.string().strict().required().oneOf(['D', 'M', 'Y']),
    Frequency: yup
        .number()
        .integer()
        .strict()
        .required()
        .min(1)
        .when('PeriodType', {
        is: 'D',
        then: (schema) => schema.max(365),
    })
        .when('PeriodType', {
        is: 'M',
        then: (schema) => schema.max(12),
    })
        .when('PeriodType', {
        is: 'Y',
        then: (schema) => schema.max(1),
    }),
    ExecTimes: yup
        .number()
        .integer()
        .strict()
        .required()
        .min(1)
        .when('PeriodType', {
        is: 'D',
        then: (schema) => schema.max(999),
    })
        .when('PeriodType', {
        is: 'M',
        then: (schema) => schema.max(99),
    })
        .when('PeriodType', {
        is: 'Y',
        then: (schema) => schema.max(9),
    }),
    PeriodReturnURL: yup.string().max(200).url(),
});
exports.default = CreditPeriodPaymentParamsSchema;
